/*
// The statement
//
//    q = kill_comment(line, c_ptr);
//
// followed by
//
//    restore_comment(q, c);
//
// has to leave line in its original state.
// In practice line is a score line.
*/

#include "grade.h"

char* kill_comment(char* line, char* c_ptr)
{
   char*   p;
   char*   q;
   int     go;

   if (!isscore(line))
      return (NULL);
   p = strchr(line, ':') + 1;
   for (q = p; *q != '\0'; ++q) {
      go =   (*p == '/' && *(p + 1) == '/')
	  || (*p == '/' && *(p + 1) == '*')
	  || *p == '#';
      if (go) {
	 *c_ptr = *q;
	 *q = '\0';                                /* kill the comment */
	 return q;
      }
   }
   return NULL;
}
