/*
// rll_lines() := release a linked list of lines
//
// Release recursively the storage created by a call to:
//    cll_nail()
//    cll_info_lines()
//    cll_score_lines()
*/

#include "grade.h"

void rll_lines(LINE* head_ptr)
{
   LINE*   p;

   for (p = head_ptr; p != NULL; p = p -> next) {
      rll_lines(p -> next);
      free(p);
   }
}
