#include "grade.h"

// ---
// Strip leading and trailing white space from a string.
//

char* strip(char* s)
{
   char*   p;

   for (p = s; *p != '\0'; ++p)
      ;
   if (p == s)
      return s;
   for (--p; p >= s && isspace(*p); --p)
      ;
   *(p + 1) = '\0';
   for (p = s; isspace(*p); ++p)
      ;
   return strcpy(s, p);
}

// ---
// Comments are present only on score lines.
// If a comment is present, it is stripped from the string line.
//

char* strip_comment(char* line)
{
   char   *p;
   int    go;

   if (isscore(line)) {
      for (p = strchr(line, ':') + 1; *p != '\0'; ++p) {
	 go =    (*p == '/' && *(p + 1) == '/')
	      || (*p == '/' && *(p + 1) == '*')
	      || *p == '#';
	 if (go) {
	    *p = '\0';                                  // remove comment
	    break;
	 }
      }
   }
   return line;
}
