/*
// These functions are used as arguments in calls to qsort().
*/

#include "grade.h"

int compare_lines(const void* vp, const void* vq)
{
   NAIL**   p = (NAIL**) vp;
   NAIL**   q = (NAIL**) vq;

   return (strcmp((*p) -> name_line, (*q) -> name_line));
}

int compare_scores(const void* vp, const void* vq)
{
   NAIL**   p = (NAIL**) vp;
   NAIL**   q = (NAIL**) vq;

   if ((*p) -> score < (*q) -> score)
      return (1);
   if ((*p) -> score > (*q) -> score)
      return (-1);
   if (strcmp((*p) -> name_line, (*q) -> name_line) < 0)
      return (-1);
   if (strcmp((*p) -> name_line, (*q) -> name_line) > 0)
      return (1);
   return (0);
}
