#include   "grade.h"

#define   QUIT   6                            /* highest option number */

void enter_scores_or_lines(cchr* database)
{
   char    answer[maxstring];
   char    tfn[maxstring];
   int     option = 0;
   FILE*   ifp;
   FILE*   ofp;

   assert(database != NULL);
   tmpnam(tfn);
   while (option != QUIT) {
      printf("%s",
	 "Options for entering scores or lines:\n"
	 "   0  instructions\n"
	 "   1  append to an existing score line\n"
	 "   2  create a new score line\n"
	 "   3  create a new nonscore line\n"
	 "   4  add the course description\n"
	 "   5  delete the course description\n"
	 "   6  quit\n"
	 "\n"
	 "Enter your option: ");
      get_string_reply(answer);
      putchar('\n');
      if (*answer == 'i')
	 option = 0;
      else if (*answer == 'q')
	 option = QUIT;
      else
	 option = extract_int(answer, 0, QUIT);
      switch (option) {
      case 0:
	 prn_enter_info();
	 break;
      case 1:
	 startup(database, &ifp, tfn, &ofp);
	 append_to_score_line(ifp, ofp);
	 wrapup(database, ifp, tfn, ofp);
	 break;
      case 2:
	 startup(database, &ifp, tfn, &ofp);
	 create_new_score_line(ifp, ofp);
	 wrapup(database, ifp, tfn, ofp);
	 break;
      case 3:
	 startup(database, &ifp, tfn, &ofp);
	 create_new_nonscore_line(ifp, ofp);
	 wrapup(database, ifp, tfn, ofp);
	 break;
      case 4:
	 startup(database, &ifp, tfn, &ofp);
	 add_course_descr(ifp, ofp);
	 wrapup(database, ifp, tfn, ofp);
	 break;
      case 5:
	 startup(database, &ifp, tfn, &ofp);
	 delete_course_descr(ifp, ofp);
	 wrapup(database, ifp, tfn, ofp);
	 break;
      case QUIT:
	 break;
      default:
	 printf("\n%s\n\n",
	    "PROGRAMMER ERROR:\n"
	    "   In enter_scores_or_lines(): Cannot get here - bye!");
      }
   }
}
